Package: org.codehaus.groovy.classgen.asm

## [Java] Class UnaryExpressionHelper

- org.codehaus.groovy.classgen.asm.UnaryExpressionHelper

- A helper class used to generate bytecode for unary expressions. AST transformations willing to use a custom unary expression helper may set the WriterControllerFactory node metadata on a class node to provide a custom WriterController which would in turn use a custom expression helper.

  Authors:
    Cedric Champeau
  See Also:
    BinaryExpressionHelper

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnaryExpressionHelper (WriterController controller)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `writeBitwiseNegate(BitwiseNegationExpression expression)`
    `void` | `writeNotExpression(NotExpression expression)`
    `void` | `writeUnaryMinus(UnaryMinusExpression expression)`
    `void` | `writeUnaryPlus(UnaryPlusExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public UnaryExpressionHelper(WriterController controller)

  - ### Method Detail

    - #### public void writeBitwiseNegate(BitwiseNegationExpression expression)

    - #### public void writeNotExpression(NotExpression expression)

    - #### public void writeUnaryMinus(UnaryMinusExpression expression)

    - #### public void writeUnaryPlus(UnaryPlusExpression expression)